Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 837429 - assimp fails to build on ppc64
Summary: assimp fails to build on ppc64
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: assimp
Version: 19
Hardware: ppc64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 951808
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64
TreeView+ depends on / blocked
 
Reported: 2012-07-03 20:36 UTC by Orion Poplawski
Modified: 2013-06-29 02:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-29 02:28:22 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2012-07-03 20:36:39 UTC
Description of problem:

assimp fails to build on ppc64:

cd /builddir/build/BUILD/assimp/build/code && /usr/bin/c++   -Dassimp_EXPORTS -DASSIMP_BUILD_NO_OWN_ZLIB -DASSIMP_BUILD_DLL_EXPORT -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mminimal-toc  -fPIC -I/builddir/build/BUILD/assimp/include -I/usr/include/minizip -I/usr/include/irrlicht   -fPIC -fvisibility=hidden -o CMakeFiles/assimp.dir/BaseProcess.cpp.o -c /builddir/build/BUILD/assimp/code/BaseProcess.cpp
In file included from /builddir/build/BUILD/assimp/code/AssimpPCH.h:55In file included from /builddir/build/BUILD/assimp/code/AssimpPCH.h:55,
                 from /builddir/build/BUILD/assimp/code/AssimpPCH.cpp:4:
/builddir/build/BUILD/assimp/code/../include/aiDefines.h:250:4: error: #error "unknown architecture"
,
                 from /builddir/build/BUILD/assimp/code/Assimp.cpp:45:
/builddir/build/BUILD/assimp/code/../include/aiDefines.h:250:4: error: #error "unknown architecture"
In file included from /builddir/build/BUILD/assimp/code/AssimpPCH.h:55,
                 from /builddir/build/BUILD/assimp/code/BaseImporter.cpp:46:
/builddir/build/BUILD/assimp/code/../include/aiDefines.h:250:4: error: #error "unknown architecture"
In file included from /builddir/build/BUILD/assimp/code/AssimpPCH.h:55,
                 from /builddir/build/BUILD/assimp/code/BaseProcess.cpp:44:
/builddir/build/BUILD/assimp/code/../include/aiDefines.h:250:4: error: #error "unknown architecture"
make[2]: *** [code/CMakeFiles/assimp.dir/BaseProcess.cpp.o] Error 1

Version-Release number of selected component (if applicable):
assimp-2.0.863-5.20110824svn

Comment 1 Fedora End Of Life 2013-04-03 17:21:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Rich Mattes 2013-05-02 01:29:31 UTC
Working on updating to latest upstream release, which should fix this issue.

Comment 3 Rich Mattes 2013-06-29 02:28:22 UTC
Looks like assimp 3.0 takes care of this bug:
http://ppc.koji.fedoraproject.org/koji/buildinfo?buildID=165827


Note You need to log in before you can comment on or make changes to this bug.